﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DataEntity
{
    [Table("MerneJednotky")]

    public partial class MernaJednotka : BaseModel
    {
        [Key]
        public int MernaJednotkaId { get; set; }

        [Required]
        [StringLength(50, ErrorMessage = "Délka nesmí přesáhnout 50 znaků")]
        public string Popis { get; set; }


        public virtual ObservableCollection<Material> Materialy { get; set; }

    }
}
