namespace DataEntity.Migrations
{
    using System;
    using System.Data.Entity.Migrations;
    
    public partial class PH_003_PrvniCiziKlic : DbMigration
    {
        public override void Up()
        {
            CreateTable(
                "dbo.MernaJednotkas",
                c => new
                    {
                        MernaJednotkaId = c.Int(nullable: false, identity: true),
                        Popis = c.String(nullable: false, maxLength: 50),
                    })
                .PrimaryKey(t => t.MernaJednotkaId);
            
            AddColumn("dbo.Materialy", "MernaJednotkaId", c => c.Int(nullable: false));
            CreateIndex("dbo.Materialy", "MernaJednotkaId");
            AddForeignKey("dbo.Materialy", "MernaJednotkaId", "dbo.MernaJednotkas", "MernaJednotkaId", cascadeDelete: true);
        }
        
        public override void Down()
        {
            DropForeignKey("dbo.Materialy", "MernaJednotkaId", "dbo.MernaJednotkas");
            DropIndex("dbo.Materialy", new[] { "MernaJednotkaId" });
            DropColumn("dbo.Materialy", "MernaJednotkaId");
            DropTable("dbo.MernaJednotkas");
        }
    }
}
